Subject: bug#2089: rmail summary never marks unseen messages

From: Glenn Morris <[email-masked]>
Date: Tue, 27 Jan 2009 18:30:19 -0500

Package: emacs,rmail

Visit an rmail folder with unseen messages. View the summary.
Unseen messages should be marked with a "-" in column 6, but are not.

AFAICS, it seems that in rmail-create-summary-line,
rmail-message-unseen-p never returns non-nil. It seems (?) that
rmail-message-attr-p's assumption that the Rmail buffer is unswapped
is invalid in this case, because the search limit it constructs is
bogus, so it never finds the attribute header.